{% extends "base.html" %}

{% block main %}
<h1>Create a new album</h1>

<form role="form" method="POST" action="{{ url_for('save_new_album') }}">

    {{ form.hidden_tag() }}

    <div class='form-group{% if form.nom.errors %} has-error{% endif %}'>
        {{ form.nom.label }} {{ form.nom(size=50, class_="form-control") }}
    </div>
    <div class='form-group{% if form.nom.errors %} has-error{% endif %}'>
        {{ form.release.label }} {{ form.release(size=50, class_="form-control") }}
    </div>
    <div class='form-group{% if form.nom.errors %} has-error{% endif %}'>
        {{ form.img.label }} {{ form.img(size=50, class_="form-control") }}
    </div>
    <div class='form-group{% if form.nom.errors %} has-error{% endif %}'>
        {{ form.singer.label }} {{ form.singer(size=5, class_="form-control") }}
    </div>

    {% if form.nom.error %}
    <ul class="list-group">
        {% for e in form.nom.errors %}
        <li class="list-group-item list-group-item-danger">{{ e }}</li>
        {% endfor %}
    </ul>
    {% endif %}

    <input class="btn btn-primary" type="submit" value="Enregistrer">

</form>

{% endblock %}